=== debian/changelog ===
fillmore-lombard (0.1.0-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS by backporting vala compatibility patches from upstream and
    passing -fPIC. (LP: #749157)

 -- Iain Lane <laney@debian.org>  Tue, 13 Sep 2011 21:21:22 +0100

fillmore-lombard (0.1.0-1) experimental; urgency=low

  * Initial release (Closes: #594263).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 25 Aug 2010 02:30:43 +0200
