=== debian/control ===
Source: fillmore-lombard
Section: gnome
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               valac-0.12,
               libgee-dev (>= 0.5.0),
               libgtk2.0-dev (>= 2.18.0),
               gstreamer0.10-gnonlin,
               libgstreamer0.10-dev (>= 0.10.28),
               libgstreamer-plugins-base0.10-dev (>= 0.10.28)
Standards-Version: 3.9.1
Homepage: http://www.yorba.org/

Package: fillmore
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-gnonlin
Suggests: lombard (= ${binary:Version})
Description: multitrack audio recorder
 Fillmore is an audio editor designed for the GNOME desktop environment.
 It allows you to record audio, place audio on multiple tracks, adjust
 the position of the track in the stereo track and export your project
 as a single stereo file.

Package: lombard
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-gnonlin
Suggests: fillmore (= ${binary:Version})
Description: video editor
 Lombard is a video editor designed for the GNOME desktop environment.
 It allows you to manipulate multiple video and audio clips and export
 your project as a single video file.
